Bug: Brep.CreateFromTaperedExtrude() is not working properly in R8

Hi,

seems like CreateFromTaperedExtrude is not working as intended.
Planar polycurves, that are not parallel to the x, y or z plane don’t generate any breps.
I have tested it with an selfwritten component and the pufferfish component, neither work.

FYI: non-planar polycurves work perfectly fine

// Grasshopper Script Instance
using System;
using System.Collections;
using System.Collections.Generic;
using System.Drawing;

using Rhino;
using Rhino.Geometry;

using Grasshopper;
using Grasshopper.Kernel;
using Grasshopper.Kernel.Data;
using Grasshopper.Kernel.Types;

public class Script_Instance : GH_ScriptInstance
{
  /* 
    Members:
      RhinoDoc RhinoDocument
      GH_Document GrasshopperDocument
      IGH_Component Component
      int Iteration

    Methods (Virtual & overridable):
      Print(string text)
      Print(string format, params object[] args)
      Reflect(object obj)
      Reflect(object obj, string method_name)
  */
  
  private void RunScript(
	Curve curve,
	double distance,
	Vector3d direction,
	double angle,
	Point3d point,
	out object a)
  {
    // Write your logic here
    a = null;

    a= Brep.CreateFromTaperedExtrude(curve,distance,direction,point,angle,ExtrudeCornerType.Sharp,0.01,0.0);
  }
}

Taper_bug.gh (20.5 KB)